Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# GT2005HeadControlBasicBehaviors Class Reference

Creates and registers the basic behaviors. More...

`#include <GT2005HeadControlBasicBehaviors.h>`

Collaboration diagram for GT2005HeadControlBasicBehaviors:

[legend]
List of all members.

## Public Member Functions
| GT2005HeadControlBasicBehaviors (Xabsl2ErrorHandler &errorHandler, HeadControlInterfaces &interfaces, GT2005HeadControl &headControl, GT2005HeadPathPlanner &headPathPlanner, bool &lastScanWasLeft, CameraInfo &cameraInfo)
| Constructor.
void | registerBasicBehaviors (Xabsl2Engine &engine)
| Registers basic behaviors at the engine.
## Public Attributes
Basic Behaviors
GT2005BasicBehaviorLookAtBall | basicBehaviorLookAtBall
GT2005BasicBehaviorFindBall | basicBehaviorFindBall
GT2005BasicBehaviorReturnToBall | basicBehaviorReturnToBall
GT2005BasicBehaviorScanAwayFromBall | basicBehaviorScanAwayFromBall
GT2005BasicBehaviorDirectedScanForLandmarks | basicBehaviorDirectedScanForLandmarks
GT2005BasicBehaviorDirectedScanForObstacles | basicBehaviorDirectedScanForObstacles
GT2005BasicBehaviorScanBackToBall | basicBehaviorScanBackToBall
GT2005BasicBehaviorGrabBall | basicBehaviorGrabBall
GT2005BasicBehaviorGrabBallHigh | basicBehaviorGrabBallHigh
GT2005BasicBehaviorReleaseBall | basicBehaviorReleaseBall
GT2005BasicBehaviorWaitForGrab | basicBehaviorWaitForGrab
GT2005BasicBehaviorBeginBallSearchAtBallPositionSeen | basicBehaviorBeginBallSearchAtBallPositionSeen
GT2005BasicBehaviorBeginBallSearchAtBallPositionCommunicated | basicBehaviorBeginBallSearchAtBallPositionCommunicated
GT2005BasicBehaviorBeginBallSearchAtBallPositionPropagated | basicBehaviorBeginBallSearchAtBallPositionPropagated
GT2005BasicBehaviorLookAtCloseLandmark | basicBehaviorLookAtCloseLandmark
GT2005BasicBehaviorLookAtBallAndClosestLandmark | basicBehaviorLookAtBallAndClosestLandmark
GT2005BasicBehaviorLookAtMostInformativeLandmark | basicBehaviorLookAtMostInformativeLandmark
GT2005BasicBehaviorLookAroundAtSeenBall | basicBehaviorLookAroundAtSeenBall
GT2005BasicBehaviorSearchForBallLeft | basicBehaviorSearchForBallLeft
GT2005BasicBehaviorSearchForBallRight | basicBehaviorSearchForBallRight
GT2005BasicBehaviorHoldBall | basicBehaviorHoldBall
GT2005BasicBehaviorOpenChallenge | basicBehaviorOpenChallenge
GT2005BasicBehaviorNone | basicBehaviorNone
GT2005BasicBehaviorLookLeft | basicBehaviorLookLeft
GT2005BasicBehaviorLookRight | basicBehaviorLookRight
GT2005BasicBehaviorScanForObstacles | basicBehaviorScanForObstacles
GT2005BasicBehaviorSearchForLandmarks | basicBehaviorSearchForLandmarks
GT2005BasicBehaviorSearchForLandmarksHeadLow | basicBehaviorSearchForLandmarksHeadLow
GT2005BasicBehaviorLookAtBluePinkLandmark | basicBehaviorLookAtBluePinkLandmark
GT2005BasicBehaviorLookStraightAhead | basicBehaviorLookStraightAhead
GT2005BasicBehaviorLookTowardOpponentGoal | basicBehaviorLookTowardOpponentGoal
GT2005BasicBehaviorLookBetweenFeet | basicBehaviorLookBetweenFeet
GT2005BasicBehaviorLookToStars | basicBehaviorLookToStars
GT2005BasicBehaviorSnapAtFinger | basicBehaviorSnapAtFinger
GT2005BasicBehaviorLookParallelToGround | basicBehaviorLookParallelToGround
GT2005BasicBehaviorDirect | basicBehaviorDirect
GT2005BasicBehaviorStayAsForced | basicBehaviorStayAsForced
GT2005BasicBehaviorWatchOrigin | basicBehaviorWatchOrigin
GT2005BasicBehaviorCalibrateHeadSpeed | basicBehaviorCalibrateHeadSpeed
GT2005BasicBehaviorRealSlowScan | basicBehaviorRealSlowScan
GT2005BasicBehaviorLookBetweenFeetForCarriedBall | basicBehaviorLookBetweenFeetForCarriedBall
## Private Attributes
Xabsl2ErrorHandler & | errorHandler
| Is invoked when errors occurs.
GT2005HeadControl & | headControl
| A reference to the GT2004HeadControl.

## Detailed Description

Creates and registers the basic behaviors.

Definition at line 183 of file GT2005HeadControlBasicBehaviors.h.

## Constructor & Destructor Documentation

GT2005HeadControlBasicBehaviors::GT2005HeadControlBasicBehaviors | ( | Xabsl2ErrorHandler & | errorHandler,
|  | HeadControlInterfaces & | interfaces,
|  | GT2005HeadControl & | headControl,
|  | GT2005HeadPathPlanner & | headPathPlanner,
|  | bool & | lastScanWasLeft,
|  | CameraInfo & | cameraInfo
| ) | `[inline]`

| Constructor. Definition at line 187 of file GT2005HeadControlBasicBehaviors.h. References basicBehaviorBeginBallSearchAtBallPositionCommunicated, basicBehaviorBeginBallSearchAtBallPositionPropagated, basicBehaviorBeginBallSearchAtBallPositionSeen, basicBehaviorCalibrateHeadSpeed, basicBehaviorDirect, basicBehaviorDirectedScanForLandmarks, basicBehaviorDirectedScanForObstacles, basicBehaviorFindBall, basicBehaviorGrabBall, basicBehaviorGrabBallHigh, basicBehaviorHoldBall, basicBehaviorLookAroundAtSeenBall, basicBehaviorLookAtBall, basicBehaviorLookAtBallAndClosestLandmark, basicBehaviorLookAtBluePinkLandmark, basicBehaviorLookAtCloseLandmark, basicBehaviorLookAtMostInformativeLandmark, basicBehaviorLookBetweenFeet, basicBehaviorLookBetweenFeetForCarriedBall, basicBehaviorLookLeft, basicBehaviorLookParallelToGround, basicBehaviorLookRight, basicBehaviorLookStraightAhead, basicBehaviorLookToStars, basicBehaviorLookTowardOpponentGoal, basicBehaviorNone, basicBehaviorOpenChallenge, basicBehaviorRealSlowScan, basicBehaviorReleaseBall, basicBehaviorReturnToBall, basicBehaviorScanAwayFromBall, basicBehaviorScanBackToBall, basicBehaviorScanForObstacles, basicBehaviorSearchForBallLeft, basicBehaviorSearchForBallRight, basicBehaviorSearchForLandmarks, basicBehaviorSearchForLandmarksHeadLow, basicBehaviorSnapAtFinger, basicBehaviorStayAsForced, basicBehaviorWaitForGrab, basicBehaviorWatchOrigin, and INIT_GT2005_HEADCONTROL_BASIC_BEHAVIOR.

## Member Function Documentation

void GT2005HeadControlBasicBehaviors::registerBasicBehaviors | ( | Xabsl2Engine & | engine | ) |

| Registers basic behaviors at the engine. Definition at line 15 of file GT2005HeadControlBasicBehaviors.cpp. References basicBehaviorBeginBallSearchAtBallPositionCommunicated, basicBehaviorBeginBallSearchAtBallPositionPropagated, basicBehaviorBeginBallSearchAtBallPositionSeen, basicBehaviorCalibrateHeadSpeed, basicBehaviorDirect, basicBehaviorDirectedScanForLandmarks, basicBehaviorDirectedScanForObstacles, basicBehaviorFindBall, basicBehaviorGrabBall, basicBehaviorGrabBallHigh, basicBehaviorHoldBall, basicBehaviorLookAroundAtSeenBall, basicBehaviorLookAtBall, basicBehaviorLookAtBallAndClosestLandmark, basicBehaviorLookAtBluePinkLandmark, basicBehaviorLookAtCloseLandmark, basicBehaviorLookAtMostInformativeLandmark, basicBehaviorLookBetweenFeet, basicBehaviorLookBetweenFeetForCarriedBall, basicBehaviorLookLeft, basicBehaviorLookParallelToGround, basicBehaviorLookRight, basicBehaviorLookStraightAhead, basicBehaviorLookToStars, basicBehaviorLookTowardOpponentGoal, basicBehaviorNone, basicBehaviorOpenChallenge, basicBehaviorRealSlowScan, basicBehaviorReleaseBall, basicBehaviorReturnToBall, basicBehaviorScanAwayFromBall, basicBehaviorScanBackToBall, basicBehaviorScanForObstacles, basicBehaviorSearchForBallLeft, basicBehaviorSearchForBallRight, basicBehaviorSearchForLandmarks, basicBehaviorSearchForLandmarksHeadLow, basicBehaviorSnapAtFinger, basicBehaviorStayAsForced, basicBehaviorWaitForGrab, basicBehaviorWatchOrigin, and Xabsl2Engine::registerBasicBehavior(). Referenced by GT2005HeadControl::registerSymbolsAndBasicBehaviors().

Here is the call graph for this function:

## Member Data Documentation

GT2005BasicBehaviorLookAtBall GT2005HeadControlBasicBehaviors::basicBehaviorLookAtBall

| Definition at line 239 of file GT2005HeadControlBasicBehaviors.h. Referenced by GT2005HeadControlBasicBehaviors(), and registerBasicBehaviors().

GT2005BasicBehaviorFindBall GT2005HeadControlBasicBehaviors::basicBehaviorFindBall

| Definition at line 240 of file GT2005HeadControlBasicBehaviors.h. Referenced by GT2005HeadControlBasicBehaviors(), and registerBasicBehaviors().

GT2005BasicBehaviorReturnToBall GT2005HeadControlBasicBehaviors::basicBehaviorReturnToBall

| Definition at line 241 of file GT2005HeadControlBasicBehaviors.h. Referenced by GT2005HeadControlBasicBehaviors(), and registerBasicBehaviors().

GT2005BasicBehaviorScanAwayFromBall GT2005HeadControlBasicBehaviors::basicBehaviorScanAwayFromBall

| Definition at line 242 of file GT2005HeadControlBasicBehaviors.h. Referenced by GT2005HeadControlBasicBehaviors(), and registerBasicBehaviors().

GT2005BasicBehaviorDirectedScanForLandmarks GT2005HeadControlBasicBehaviors::basicBehaviorDirectedScanForLandmarks

| Definition at line 243 of file GT2005HeadControlBasicBehaviors.h. Referenced by GT2005HeadControlBasicBehaviors(), and registerBasicBehaviors().

GT2005BasicBehaviorDirectedScanForObstacles GT2005HeadControlBasicBehaviors::basicBehaviorDirectedScanForObstacles

| Definition at line 244 of file GT2005HeadControlBasicBehaviors.h. Referenced by GT2005HeadControlBasicBehaviors(), and registerBasicBehaviors().

GT2005BasicBehaviorScanBackToBall GT2005HeadControlBasicBehaviors::basicBehaviorScanBackToBall

| Definition at line 245 of file GT2005HeadControlBasicBehaviors.h. Referenced by GT2005HeadControlBasicBehaviors(), and registerBasicBehaviors().

GT2005BasicBehaviorGrabBall GT2005HeadControlBasicBehaviors::basicBehaviorGrabBall

| Definition at line 246 of file GT2005HeadControlBasicBehaviors.h. Referenced by GT2005HeadControlBasicBehaviors(), and registerBasicBehaviors().

GT2005BasicBehaviorGrabBallHigh GT2005HeadControlBasicBehaviors::basicBehaviorGrabBallHigh

| Definition at line 247 of file GT2005HeadControlBasicBehaviors.h. Referenced by GT2005HeadControlBasicBehaviors(), and registerBasicBehaviors().

GT2005BasicBehaviorReleaseBall GT2005HeadControlBasicBehaviors::basicBehaviorReleaseBall

| Definition at line 248 of file GT2005HeadControlBasicBehaviors.h. Referenced by GT2005HeadControlBasicBehaviors(), and registerBasicBehaviors().

GT2005BasicBehaviorWaitForGrab GT2005HeadControlBasicBehaviors::basicBehaviorWaitForGrab

| Definition at line 249 of file GT2005HeadControlBasicBehaviors.h. Referenced by GT2005HeadControlBasicBehaviors(), and registerBasicBehaviors().

GT2005BasicBehaviorBeginBallSearchAtBallPositionSeen GT2005HeadControlBasicBehaviors::basicBehaviorBeginBallSearchAtBallPositionSeen

| Definition at line 250 of file GT2005HeadControlBasicBehaviors.h. Referenced by GT2005HeadControlBasicBehaviors(), and registerBasicBehaviors().

GT2005BasicBehaviorBeginBallSearchAtBallPositionCommunicated GT2005HeadControlBasicBehaviors::basicBehaviorBeginBallSearchAtBallPositionCommunicated

| Definition at line 251 of file GT2005HeadControlBasicBehaviors.h. Referenced by GT2005HeadControlBasicBehaviors(), and registerBasicBehaviors().

GT2005BasicBehaviorBeginBallSearchAtBallPositionPropagated GT2005HeadControlBasicBehaviors::basicBehaviorBeginBallSearchAtBallPositionPropagated

| Definition at line 252 of file GT2005HeadControlBasicBehaviors.h. Referenced by GT2005HeadControlBasicBehaviors(), and registerBasicBehaviors().

GT2005BasicBehaviorLookAtCloseLandmark GT2005HeadControlBasicBehaviors::basicBehaviorLookAtCloseLandmark

| Definition at line 253 of file GT2005HeadControlBasicBehaviors.h. Referenced by GT2005HeadControlBasicBehaviors(), and registerBasicBehaviors().

GT2005BasicBehaviorLookAtBallAndClosestLandmark GT2005HeadControlBasicBehaviors::basicBehaviorLookAtBallAndClosestLandmark

| Definition at line 254 of file GT2005HeadControlBasicBehaviors.h. Referenced by GT2005HeadControlBasicBehaviors(), and registerBasicBehaviors().

GT2005BasicBehaviorLookAtMostInformativeLandmark GT2005HeadControlBasicBehaviors::basicBehaviorLookAtMostInformativeLandmark

| Definition at line 255 of file GT2005HeadControlBasicBehaviors.h. Referenced by GT2005HeadControlBasicBehaviors(), and registerBasicBehaviors().

GT2005BasicBehaviorLookAroundAtSeenBall GT2005HeadControlBasicBehaviors::basicBehaviorLookAroundAtSeenBall

| Definition at line 256 of file GT2005HeadControlBasicBehaviors.h. Referenced by GT2005HeadControlBasicBehaviors(), and registerBasicBehaviors().

GT2005BasicBehaviorSearchForBallLeft GT2005HeadControlBasicBehaviors::basicBehaviorSearchForBallLeft

| Definition at line 257 of file GT2005HeadControlBasicBehaviors.h. Referenced by GT2005HeadControlBasicBehaviors(), and registerBasicBehaviors().

GT2005BasicBehaviorSearchForBallRight GT2005HeadControlBasicBehaviors::basicBehaviorSearchForBallRight

| Definition at line 258 of file GT2005HeadControlBasicBehaviors.h. Referenced by GT2005HeadControlBasicBehaviors(), and registerBasicBehaviors().

GT2005BasicBehaviorHoldBall GT2005HeadControlBasicBehaviors::basicBehaviorHoldBall

| Definition at line 260 of file GT2005HeadControlBasicBehaviors.h. Referenced by GT2005HeadControlBasicBehaviors(), and registerBasicBehaviors().

GT2005BasicBehaviorOpenChallenge GT2005HeadControlBasicBehaviors::basicBehaviorOpenChallenge

| Definition at line 261 of file GT2005HeadControlBasicBehaviors.h. Referenced by GT2005HeadControlBasicBehaviors(), and registerBasicBehaviors().

GT2005BasicBehaviorNone GT2005HeadControlBasicBehaviors::basicBehaviorNone

| Definition at line 262 of file GT2005HeadControlBasicBehaviors.h. Referenced by GT2005HeadControlBasicBehaviors(), and registerBasicBehaviors().

GT2005BasicBehaviorLookLeft GT2005HeadControlBasicBehaviors::basicBehaviorLookLeft

| Definition at line 263 of file GT2005HeadControlBasicBehaviors.h. Referenced by GT2005HeadControlBasicBehaviors(), and registerBasicBehaviors().

GT2005BasicBehaviorLookRight GT2005HeadControlBasicBehaviors::basicBehaviorLookRight

| Definition at line 264 of file GT2005HeadControlBasicBehaviors.h. Referenced by GT2005HeadControlBasicBehaviors(), and registerBasicBehaviors().

GT2005BasicBehaviorScanForObstacles GT2005HeadControlBasicBehaviors::basicBehaviorScanForObstacles

| Definition at line 265 of file GT2005HeadControlBasicBehaviors.h. Referenced by GT2005HeadControlBasicBehaviors(), and registerBasicBehaviors().

GT2005BasicBehaviorSearchForLandmarks GT2005HeadControlBasicBehaviors::basicBehaviorSearchForLandmarks

| Definition at line 266 of file GT2005HeadControlBasicBehaviors.h. Referenced by GT2005HeadControlBasicBehaviors(), and registerBasicBehaviors().

GT2005BasicBehaviorSearchForLandmarksHeadLow GT2005HeadControlBasicBehaviors::basicBehaviorSearchForLandmarksHeadLow

| Definition at line 267 of file GT2005HeadControlBasicBehaviors.h. Referenced by GT2005HeadControlBasicBehaviors(), and registerBasicBehaviors().

GT2005BasicBehaviorLookAtBluePinkLandmark GT2005HeadControlBasicBehaviors::basicBehaviorLookAtBluePinkLandmark

| Definition at line 268 of file GT2005HeadControlBasicBehaviors.h. Referenced by GT2005HeadControlBasicBehaviors(), and registerBasicBehaviors().

GT2005BasicBehaviorLookStraightAhead GT2005HeadControlBasicBehaviors::basicBehaviorLookStraightAhead

| Definition at line 269 of file GT2005HeadControlBasicBehaviors.h. Referenced by GT2005HeadControlBasicBehaviors(), and registerBasicBehaviors().

GT2005BasicBehaviorLookTowardOpponentGoal GT2005HeadControlBasicBehaviors::basicBehaviorLookTowardOpponentGoal

| Definition at line 270 of file GT2005HeadControlBasicBehaviors.h. Referenced by GT2005HeadControlBasicBehaviors(), and registerBasicBehaviors().

GT2005BasicBehaviorLookBetweenFeet GT2005HeadControlBasicBehaviors::basicBehaviorLookBetweenFeet

| Definition at line 271 of file GT2005HeadControlBasicBehaviors.h. Referenced by GT2005HeadControlBasicBehaviors(), and registerBasicBehaviors().

GT2005BasicBehaviorLookToStars GT2005HeadControlBasicBehaviors::basicBehaviorLookToStars

| Definition at line 272 of file GT2005HeadControlBasicBehaviors.h. Referenced by GT2005HeadControlBasicBehaviors(), and registerBasicBehaviors().

GT2005BasicBehaviorSnapAtFinger GT2005HeadControlBasicBehaviors::basicBehaviorSnapAtFinger

| Definition at line 273 of file GT2005HeadControlBasicBehaviors.h. Referenced by GT2005HeadControlBasicBehaviors(), and registerBasicBehaviors().

GT2005BasicBehaviorLookParallelToGround GT2005HeadControlBasicBehaviors::basicBehaviorLookParallelToGround

| Definition at line 274 of file GT2005HeadControlBasicBehaviors.h. Referenced by GT2005HeadControlBasicBehaviors(), and registerBasicBehaviors().

GT2005BasicBehaviorDirect GT2005HeadControlBasicBehaviors::basicBehaviorDirect

| Definition at line 275 of file GT2005HeadControlBasicBehaviors.h. Referenced by GT2005HeadControlBasicBehaviors(), and registerBasicBehaviors().

GT2005BasicBehaviorStayAsForced GT2005HeadControlBasicBehaviors::basicBehaviorStayAsForced

| Definition at line 276 of file GT2005HeadControlBasicBehaviors.h. Referenced by GT2005HeadControlBasicBehaviors(), and registerBasicBehaviors().

GT2005BasicBehaviorWatchOrigin GT2005HeadControlBasicBehaviors::basicBehaviorWatchOrigin

| Definition at line 277 of file GT2005HeadControlBasicBehaviors.h. Referenced by GT2005HeadControlBasicBehaviors(), and registerBasicBehaviors().

GT2005BasicBehaviorCalibrateHeadSpeed GT2005HeadControlBasicBehaviors::basicBehaviorCalibrateHeadSpeed

| Definition at line 278 of file GT2005HeadControlBasicBehaviors.h. Referenced by GT2005HeadControlBasicBehaviors(), and registerBasicBehaviors().

GT2005BasicBehaviorRealSlowScan GT2005HeadControlBasicBehaviors::basicBehaviorRealSlowScan

| Definition at line 280 of file GT2005HeadControlBasicBehaviors.h. Referenced by GT2005HeadControlBasicBehaviors(), and registerBasicBehaviors().

GT2005BasicBehaviorLookBetweenFeetForCarriedBall GT2005HeadControlBasicBehaviors::basicBehaviorLookBetweenFeetForCarriedBall

| Definition at line 281 of file GT2005HeadControlBasicBehaviors.h. Referenced by GT2005HeadControlBasicBehaviors(), and registerBasicBehaviors().

Xabsl2ErrorHandler& GT2005HeadControlBasicBehaviors::errorHandler`[private]`

| Is invoked when errors occurs. Definition at line 286 of file GT2005HeadControlBasicBehaviors.h.

GT2005HeadControl& GT2005HeadControlBasicBehaviors::headControl`[private]`

| A reference to the GT2004HeadControl. Definition at line 289 of file GT2005HeadControlBasicBehaviors.h.

The documentation for this class was generated from the following files:

- Modules/HeadControl/GT2005HeadControl/GT2005HeadControlBasicBehaviors.h
- Modules/HeadControl/GT2005HeadControl/GT2005HeadControlBasicBehaviors.cpp